Skip to content

API Reference

Add new screening(s)

POST /v2/screening https://api.cable.tech

Authentication

  • Bearer token in the Authorization header screening:write

Request body

application/json list of objects

Screening data to add.

  • screening_id string required

    Unique identifier for the screening. This is the primary key for a screening and should be unique across screenings.

  • type string required

    The type of screening check performed (e.g., SANCTION, PEP, ADVERSE_MEDIA, etc.).

    Allowed values ADVERSE_MEDIAAMLPEPSANCTION

  • outcome string required

    The outcome of the screening check (e.g., POSITIVE, NEGATIVE, TRUE_POSITIVE, etc.). The value “SCREENED” should only be used when the outcome is not available but there is the confirmation that the screening has been done.

    Allowed values POSITIVENEGATIVEFALSE_NEGATIVEFALSE_POSITIVETRUE_NEGATIVETRUE_POSITIVESCREENED

  • outcome_details string

    Further details on the reason of the screening outcome. For a transaction screening, it could be due to many reasons, so it could be relevant to include further details.

  • provider string required

    The provider that performed the screening check.

  • lists list of strings required

    The list(s) that the transaction was screened against. E.g. OFAC, ComplyAdvantage, Watchlists…

  • timestamp string required

    When the screening was performed in your system, in ISO 8601 format.

    Format date-time

  • related_tx_id string

    Unique identifier for the related transaction in case of a transaction screening. Only one of related_tx_id, related_person_id or related_company_id should be provided.

  • related_person_id string

    Unique identifier for the related person in case of a person and/or transaction screening. Only one of related_tx_id, related_person_id or related_company_id should be provided.

  • related_company_id string

    Unique identifier for the related company in case of a company screening. Only one of related_tx_id, related_person_id or related_company_id should be provided.

Responses

201 Screening added successfully

  • success boolean required

    Indicates if the write operation was successful.

  • write_count integer required

    The number of records written to the database.

    Format int32

  • message string required

    Provides additional information about the operation result.

  • organization_id string required

    The organization ID for which the operation was performed.

Errors

  • 400 Invalid Screening data
  • 401 Unauthorized request
  • 409 Screening already exists
  • 429 Rate limit exceeded
  • 500 Server error
  • default General error

Error body 400401409429500default

  • code integer required

    Format int32

  • message string required
  • errors list of objects

    Detailed information about errors in specific fields.

    • field string
    • message string